package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 加入合伙人提示配置对象 index_partner_config
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class IndexPartnerConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 提示框背景图片 */
    @Excel(name = "提示框背景图片")
    private String partnerBackground;

    /** 提示框背景文本 */
    @Excel(name = "提示框背景文本")
    private String prompt;

    /** 加入成功提示文本 */
    @Excel(name = "加入成功提示文本")
    private String promptText;

    public void setPartnerBackground(String partnerBackground) 
    {
        this.partnerBackground = partnerBackground;
    }

    public String getPartnerBackground() 
    {
        return partnerBackground;
    }
    public void setPrompt(String prompt) 
    {
        this.prompt = prompt;
    }

    public String getPrompt() 
    {
        return prompt;
    }
    public void setPromptText(String promptText) 
    {
        this.promptText = promptText;
    }

    public String getPromptText() 
    {
        return promptText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("partnerBackground", getPartnerBackground())
            .append("prompt", getPrompt())
            .append("promptText", getPromptText())
            .toString();
    }
}
